﻿div.sb-board {
    position: relative;
    font-weight: bold;
    font-size:150%;
}
div.sb-board div {
    box-sizing: border-box;
    white-space: nowrap;
    overflow-x: hidden;
    overflow-y: hidden;
}
div.sb-board > table {
    border-collapse: collapse;
    border-spacing: 0;
    table-layout: fixed;
}
div.sb-board > table td {
    vertical-align: middle;
    white-space: nowrap;
    overflow-x: hidden;
    overflow-y: hidden;
}
div.sb-court img {
    width: 1em;
    height: auto;
    position: absolute;
    top: 0.4em;
    left: 1em;
}
.sb-box-right {
    font-weight: bold;
    width:calc(100%  - 1.5em);
    margin:0.2em 0 0.4em 1.5em;
}
div.sb-box-full {
    position:relative;
    width:100%;
    height:2.2em;
}
table.sb-preview {
    font-size: 120%;
    text-align:left;
}
table.sb-preview tr {
    height: 1.5em;
}

td.sb-score-top, td.sb-score-bottom {
    border-left: 2px solid darkblue;
    border-right: 2px solid darkblue;
}

td.sb-score-top {
    border-top: 2px solid darkblue;
}

td.sb-score-bottom {
    border-bottom: 2px solid darkblue;
}

table.sb-game tr {
    height: 1.1em;
}

td.sb-game-team {
    text-align: left;
    vertical-align: middle;
    font-style: italic;
}

td.sb-game-score {
    text-align: center;
    vertical-align: middle;
    width: 3ch;
}

td.sb-game-logo {
    text-align: left;
    vertical-align: middle;
    width: 1.3em;
}

td.sb-game-logo img {
    height: 1em;
    width: auto;
}
div.sb-outline {
    position:absolute;
    border: 2px solid darkblue;
    border-radius: 6px;
    background-color: cornsilk;
    height:2.2em;
/*    font-size:90%;*/
}
div.sb-outline1 {
    width: 60%;
    left:0;
}
div.sb-outline2 {
    width: 39%;
    right: 0;
}
div.sb-outline3 {
    width: 100%;
    left: 0;
}
table.sb-lower {
    font-size: 85%;
    position: absolute;
    width: 96%;
    top: 0;
    left: 2%;
}

table.sb-lower tr {
    height: 1.1em;
}

td.sb-frame-score {
    text-align: center;
}

td.sb-frame-score-smaller {
    font-size: 90%;
    letter-spacing: -0.1em;
}

td.sb-board img {
    width: 90%;
    text-align: center;
}
div.sb-message {
    color: darkblue;
    margin-top:0.5em;
}

@keyframes sb-blinker {
    from {
        visibility: hidden;
    }

    50% {
        visibility: hidden;
    }

    to {
        visibility: visible;
    }
}

span.sb-blink {
    animation: sb-blinker 1s 4;
}

@keyframes sb-slider {
    0% {
        visibility: visible;
    }

    100% {
        visibility: hidden;
    }
}

div.sb-slide {
    height: 1.6em;
    width: 16ch;
    padding: 0.2em 0;
    position: absolute;
    left:3em;
    top: 1em;
    background-color: #FFFF80;
    z-index: 20;
    text-align: center;
    border: 2px solid darkblue;
    border-radius: 10px;
    visibility: hidden;
    animation: sb-slider 4s;
}

span.sb-slide {
    white-space: nowrap;
    overflow-x: hidden;
}
.sb-team {
    font-style: italic;
}
.sb-honors {
    height: 0.7em;
    width: auto;
}
.sb-record {
    font-size: 85%;
    color: navy;
}
